=== debian/control ===
Source: ros-one-imu-transformer
Section: misc
Priority: optional
Maintainer: Paul Bovbel <pbovbel@clearpathrobotics.com>
Build-Depends: debhelper (>= 9.0.0), ros-one-catkin, ros-one-geometry-msgs, ros-one-message-filters, ros-one-nodelet, ros-one-roscpp, ros-one-sensor-msgs, ros-one-tf2, ros-one-tf2-ros, ros-one-tf2-sensor-msgs, ros-one-topic-tools
Homepage: http://ros.org/wiki/imu_transformer
Standards-Version: 3.9.2

Package: ros-one-imu-transformer
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-one-geometry-msgs, ros-one-message-filters, ros-one-nodelet, ros-one-roscpp, ros-one-sensor-msgs, ros-one-tf, ros-one-tf2, ros-one-tf2-ros, ros-one-tf2-sensor-msgs, ros-one-topic-tools
Description: Node/nodelet combination to transform sensor_msgs::Imu data from one frame into another.
