## ros-one-imu-transformer 0.3.1-0noble.20251208.0846

=== debian/changelog ===
ros-one-imu-transformer (0.3.1-0noble.20251208.0846) UNRELEASED; urgency=medium

  * Append timestamp when binarydeb was built.

 -- Paul Bovbel <pbovbel@clearpathrobotics.com>  Mon, 08 Dec 2025 08:46:36 +0000

ros-one-imu-transformer (0.3.1-0noble) noble; urgency=high

  * imu_transformer: Fix transformation of the orientation of IMU.
    The previous computation was wrong. According to REP-145, IMU orientation should express attitude of the sensor frame in a world frame. imu_transformer changes the sensor frame, so it should just recompute the new attitude by transforming the old sensor frame into the new one.
  * Contributors: Martin Pecka

 -- Paul Bovbel <pbovbel@clearpathrobotics.com>  Tue, 22 Nov 2022 00:00:00 -0000

ros-one-imu-transformer (0.3.0-0noble) noble; urgency=high

  * Bump CMake version to avoid CMP0048 warning.
  * Updated to package.xml format 2.
  * Contributors: Tony Baltovski

 -- Paul Bovbel <pbovbel@clearpathrobotics.com>  Thu, 04 Jun 2020 00:00:00 -0000

ros-one-imu-transformer (0.2.3-0noble) noble; urgency=high

  * update to use non deprecated pluginlib macro
  * Updated maintainers.
  * Contributors: Mikael Arguedas, Tony Baltovski

 -- Paul Bovbel <pbovbel@clearpathrobotics.com>  Wed, 30 Jan 2019 00:00:00 -0000

ros-one-imu-transformer (0.2.2-0noble) noble; urgency=high

  * imu_transformer: Fix build with CATKIN_ENABLE_TESTIING=OFF
  * Contributors: Alexis Ballier

 -- Paul Bovbel <pbovbel@clearpathrobotics.com>  Wed, 25 Jan 2017 00:00:00 -0000

ros-one-imu-transformer (0.2.1-0noble) noble; urgency=high

  * Fix nodelet install
  * Contributors: Paul Bovbel

 -- Paul Bovbel <pbovbel@clearpathrobotics.com>  Wed, 04 Feb 2015 00:00:00 -0000

ros-one-imu-transformer (0.2.0-0noble) noble; urgency=high

  * Add imu_transformer node/nodelet combination using tf2
  * Contributors: Paul Bovbel

 -- Paul Bovbel <pbovbel@clearpathrobotics.com>  Fri, 30 Jan 2015 00:00:00 -0000

ros-one-imu-transformer (0.1.3-0noble) noble; urgency=high



 -- Paul Bovbel <pbovbel@clearpathrobotics.com>  Sun, 30 Mar 2014 00:00:00 -0000

ros-one-imu-transformer (0.1.2-0noble) noble; urgency=high



 -- Paul Bovbel <pbovbel@clearpathrobotics.com>  Wed, 21 Aug 2013 00:00:00 -0000

ros-one-imu-transformer (0.1.1-0noble) noble; urgency=high



 -- Paul Bovbel <pbovbel@clearpathrobotics.com>  Mon, 29 Jul 2013 00:00:00 -0000
